*** a/contrib/dblink/Makefile
--- b/contrib/dblink/Makefile
***************
*** 11,16 **** DATA = dblink--1.1.sql dblink--1.0--1.1.sql dblink--unpackaged--1.0.sql
--- 11,19 ----
  
  REGRESS = dblink
  
+ # the db name is hard-coded in the tests
+ override undefine USE_MODULE_DB
+ 
  ifdef USE_PGXS
  PG_CONFIG = pg_config
  PGXS := $(shell $(PG_CONFIG) --pgxs)
*** a/src/Makefile.global.in
--- b/src/Makefile.global.in
***************
*** 428,433 **** submake-libpgport:
--- 428,442 ----
  
  PL_TESTDB = pl_regression
  CONTRIB_TESTDB = contrib_regression
+ ifneq ($(MODULE_big),)
+   CONTRIB_TESTDB_MODULE = contrib_regression_$(MODULE_big)
+ else 
+   ifneq ($(MODULES),)
+     CONTRIB_TESTDB_MODULE = contrib_regression_$(MODULES)
+   else
+     CONTRIB_TESTDB_MODULE = contrib_regression
+   endif
+ endif
  
  ifdef NO_LOCALE
  NOLOCALE += --no-locale
*** a/src/makefiles/pgxs.mk
--- b/src/makefiles/pgxs.mk
***************
*** 240,246 **** distclean maintainer-clean: clean
  ifdef REGRESS
  
  # Select database to use for running the tests
! REGRESS_OPTS += --dbname=$(CONTRIB_TESTDB)
  
  # where to find psql for running the tests
  PSQLDIR = $(bindir)
--- 240,250 ----
  ifdef REGRESS
  
  # Select database to use for running the tests
! ifdef USE_MODULE_DB
!   REGRESS_OPTS += --dbname=$(CONTRIB_TESTDB_MODULE)
! else
!   REGRESS_OPTS += --dbname=$(CONTRIB_TESTDB)
! endif
  
  # where to find psql for running the tests
  PSQLDIR = $(bindir)
